package com.leospa.main;

import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

public class FontLoader extends JPanel {
	

	
	   public FontLoader() {
	      JPanel centerPanel = new JPanel(new GridLayout(0, 2));
//	      centerPanel.add(new JButton("Foo"));
//	      centerPanel.add(new JButton("Bar"));

	      JLabel bottomLabel = new JLabel("Bottom Label");

	      int gap = 5;
//	      setLayout(new BorderLayout(gap, gap));
	      setBorder(BorderFactory.createEmptyBorder(gap, gap, gap, gap));
//	      add(centerPanel, BorderLayout.CENTER);
	      add(bottomLabel, BorderLayout.PAGE_END);
	   }

	   private static void createAndShowGui() {
	      JFrame frame = new JFrame("TimerFoo");
	      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	      frame.getContentPane().add(new FontLoader());
	      frame.pack();
	      frame.setLocationRelativeTo(null);
	      frame.setVisible(true);
	   }

	   public static void main(String[] args) {
	      SwingUtilities.invokeLater(new Runnable() {
	         public void run() {
	            createAndShowGui();
	         }
	      });
	   }

}
